import { watchEffect } from 'vue';
import { VTableVueAttributePlugin } from '../components/custom/vtable-vue-attribute-plugin.js';

function useCellRender(props, tableRef) {
    watchEffect(() => {
        var _a, _b;
        if (!((_b = (_a = props === null || props === void 0 ? void 0 : props.options) === null || _a === void 0 ? void 0 : _a.customConfig) === null || _b === void 0 ? void 0 : _b.createReactContainer)) {
            return;
        }
        if (!tableRef.value) {
            return;
        }
        tableRef.value.scenegraph.stage.pluginService.register(new VTableVueAttributePlugin());
    });
}

export { useCellRender };
